package de.ivu.elect.presentation.wahlbeteiligung.exchange;

import de.ivu.elect.business.exchange.entity.DateiExportArt;
import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.exchange.ExportDescription;
import de.ivu.elect.presentation.wahlbeteiligung.menu.WahlbeteiligungPageMenu;

public class WahlbeteiligungAuswertungExportDescription implements ExportDescription {

  private static final long serialVersionUID = 1L;

  @Override
  public String getExportSearchViewId() {
    return WahlbeteiligungAuswertungExportView.VIEW_ID;
  }

  @Override
  public DateiExportArt getDateiExportArt() {
    return DateiExportArt.WAHLBETEILIGUNG_AUSWERTUNG;
  }

  @Override
  public UseCasePermission getUseCasePermission() {
    return UseCasePermission.WAHLBETEILIGUNG_AUSWERTUNG_EXPORTIEREN;
  }

  @Override
  public String getPageMenuComponentName() {
    return WahlbeteiligungPageMenu.COMPONENT_NAME;
  }

  @Override
  public boolean isSpecificPerWahl() {
    return true;
  }

  @Override
  public boolean isSpecificPerWahltermin() {
    return false;
  }
}
